Bug 1471296 - SELinux is preventing vboxdrv.sh from 'create' accesses on the file vbox-install.log.
SELinux is preventing vboxdrv.sh from 'create' accesses on the file vbox-inst...
Status: NEW
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:d6b53ff203fa077bd9359a25599...
:
: 1486922 1500884 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-14 19:02 EDT by Chris Jones
Modified: 2017-10-16 09:29 EDT (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Jones 2017-07-14 19:02:52 EDT
Description of problem:
SELinux is preventing vboxdrv.sh from 'create' accesses on the file vbox-install.log.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that vboxdrv.sh should be allowed create access on the vbox-install.log file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'vboxdrv.sh' --raw | audit2allow -M my-vboxdrvsh
# semodule -X 300 -i my-vboxdrvsh.pp

Additional Information:
Source Context                system_u:system_r:init_t:s0
Target Context                system_u:object_r:var_log_t:s0
Target Objects                vbox-install.log [ file ]
Source                        vboxdrv.sh
Source Path                   vboxdrv.sh
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-259.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.11.9-300.fc26.x86_64 #1 SMP Wed
                              Jul 5 16:21:56 UTC 2017 x86_64 x86_64
Alert Count                   8
First Seen                    2017-02-08 18:34:43 GMT
Last Seen                     2017-07-14 22:15:01 BST
Local ID                      494de6b0-9a79-462a-b556-6e07c247e0db

Raw Audit Messages
type=AVC msg=audit(1500066901.559:112): avc:  denied  { create } for  pid=937 comm="vboxdrv.sh" name="vbox-install.log" scontext=system_u:system_r:init_t:s0 tcontext=system_u:object_r:var_log_t:s0 tclass=file permissive=0


Hash: vboxdrv.sh,init_t,var_log_t,file,create

Version-Release number of selected component:
selinux-policy-3.13.1-259.fc26.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.9-300.fc26.x86_64
type:           libreport

Potential duplicate: bug 1381179
Comment 1 stevewalsh123 2017-07-29 07:46:45 EDT
Description of problem:
During dnf upgrade the following packages were upgraded : 

selinux-policy.noarch 3.13.1-260.3.fc26                                       
selinux-policy-targeted.noarch 3.13.1-260.3.fc26  

These upgrades caused the SELinux notification to be generated and I was prompted to report if I thought it was a bug... 


Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.10-300.fc26.x86_64
type:           libreport
Comment 2 Ned 2017-08-23 03:45:15 EDT
Soory, I made a mistake with SELinux report tool, this should be deleted
Comment 3 Marie Irwin 2017-08-30 15:22:24 EDT
*** Bug 1486922 has been marked as a duplicate of this bug. ***
Comment 4 azure.flame 2017-09-11 02:24:05 EDT
Description of problem:
The first time SELinux threw up a warning on my system since my fresh install of Fedora 26 a couple weeks ago was
during the execution of

       # yum distro-sync

Version-Release number of selected component:
selinux-policy-3.13.1-259.fc26.noarch

Additional info:
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.11.8-300.fc26.x86_64
type:           libreport
Comment 5 0101d 2017-10-11 12:37:14 EDT
*** Bug 1500884 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.